Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Stream_Iterator<> Class Template Reference

Iterate through an <ACE_Stream>. More...

`#include <Stream.h>`

Collaboration diagram for ACE_Stream_Iterator<>:

[legend]
List of all members.

## Public Methods
| ACE_Stream_Iterator (const ACE_Stream< ACE_SYNCH_USE > &sr)
int | next (const ACE_Module< ACE_SYNCH_USE > *&next_item)
int | done (void) const
| Returns 1 when all items have been seen, else 0.
int | advance (void)
## Private Attributes
ACE_Module< ACE_SYNCH_USE > * | next_
| Next <Module> that we haven't yet seen.

## Detailed Description

### template<ACE_SYNCH_DECL>
class ACE_Stream_Iterator<>

Iterate through an <ACE_Stream>.

## Constructor & Destructor Documentation

template<ACE_SYNCH_DECL >
ACE_Stream_Iterator<>::ACE_Stream_Iterator | ( | const ACE_Stream< ACE_SYNCH_USE > & | sr | ) |

## Member Function Documentation

template<ACE_SYNCH_DECL >
int ACE_Stream_Iterator<>::advance | ( | void |  | ) |

| Move forward by one element in the set. Returns 0 when all the items in the set have been seen, else 1.

template<ACE_SYNCH_DECL >
ACE_INLINE int ACE_Stream_Iterator<>::done | ( | void |  | ) | const

| Returns 1 when all items have been seen, else 0.

template<ACE_SYNCH_DECL >
ACE_INLINE int ACE_Stream_Iterator<>::next | ( | const ACE_Module< ACE_SYNCH_USE > *& | next_item | ) |

| Pass back the <next_item> that hasn't been seen in the set. Returns 0 when all items have been seen, else 1.

## Member Data Documentation

template<ACE_SYNCH_DECL >
ACE_Module<ACE_SYNCH_USE>* ACE_Stream_Iterator<>::next_`[private]`

| Next <Module> that we haven't yet seen.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Stream.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Stream.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Stream.i